# 5.BuildAsset

{% code overflow="wrap" %}

```yaml
#Example ONLY
#All of the files will be downloaded & added to "${SBUILD_OUTDIR/SBUILD_TEMP}" (Also Known as $SBUILD_TMPDIR prior to running the x_exec part
build_asset:
  - url: "https://example.com/fileA.tar" #Downloaded
    out: "example_01.tar" #Saved as $SBUILD_OUTDIR/SBUILD_TEMP/example_01.tar
  - url: "https://example.com/abc.gif" #Downloaded
    out: "xyz.gif" #Saved as $SBUILD_OUTDIR/SBUILD_TEMP/xyz.gif
```

{% endcode %}

* [x] This is Optional & can be left empty or removed completely (**TYPE:**<mark style="color:blue;">**`NON_ENFORCED`**</mark>)
* [x] This can be used to pull in Static Assets needed for <mark style="color:purple;">**`x_exec.run`**</mark> part.
* [x] Accessible using <mark style="color:orange;">**`${SBUILD_TMPDIR}/$FILE`**</mark> OR <mark style="color:orange;">**`$SBUILD_OUTDIR/SBUILD_TEMP/$FILE`**</mark> [<mark style="color:green;">**`ENV VARS`**</mark>](/sbuild/instructions/env_vars-x_exec.run.md)
* [x] The benefit of using this over doing it manually in <mark style="color:purple;">**`x_exec.run`**</mark> is that it's parallelized & pre-downloaded
* [x] Can have single or multiple entries


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkgforge.dev/sbuild/specification/5.buildasset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
